ClassicArmoryLink = {}
ClassicArmoryLinkedPlayers = {}
ClassicArmoryLinkOptions = {}

ClassicArmoryLink.realm = GetRealmName()

REGIONS = {'us', 'kr', 'eu', 'tw', 'cn'}

StaticPopupDialogs["CLICK_LINK_CLICKURL"] = {
    text = "Copy & Paste the armory link into your browser",
    button1 = "Close",
    OnAccept = function()
    end,
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    preferredIndex = 3,
    OnShow = function(self, data)
        self.editBox:SetText(data.url)
        self.editBox:HighlightText()
    end,
    hasEditBox = true
}

local function ClassicArmoryLinkButton(self)
    local dropdownMenu = _G["UIDROPDOWNMENU_INIT_MENU"]

    local realmSlug = (dropdownMenu.server or GetRealmName()):gsub("[%p%c]", ""):gsub("[%s]", "-"):lower()
    local prefix = "https://atlasforge.gg/wow-cataclysm/armory/"
    local region = REGIONS[GetCurrentRegion()]
    if self.value == "ClassicArmoryLinkButton" then
        --	 print("RedButton clicked")
        
        print(dropdownMenu.server)
        -- local realmSlugReal = dropdownMenu.server:gsub("[%p%c]", ""):gsub("[%s]", "-"):lower()
        local url = prefix .. region .. '/' .. realmSlug .. '/' .. dropdownMenu.name:lower()
        local d = {}
        d.url = url
        StaticPopup_Show("CLICK_LINK_CLICKURL", "", "", d)
        print(url)
    else
        print("FAIL!")
    end
end

hooksecurefunc("UnitPopup_ShowMenu", function(dropdownMenu, which, unit, name, userData)
    if (UIDROPDOWNMENU_MENU_LEVEL > 1) then
        return
    end
    if which == "TARGET" then
        return
    end
    if which == "OTHERPET" then
        return
    end
    local info = UIDropDownMenu_CreateInfo()
    info.text = "Copy Armory Link"
    info.owner = which
    info.notCheckable = 1
    info.func = ClassicArmoryLinkButton
    info.colorCode = "|cfff8b700"
    info.value = "ClassicArmoryLinkButton"
    UIDropDownMenu_AddButton(info)
end)
